Subject: Re: 80: Multimedia Chemistry / MIME types for symbolic computations

From: Herbert Homeier (t4720) <[email-masked]>
Date: Thu, 17 Nov 94 13:03:26 +0100

Dr. Henry Rzepa writes with respect to ECCC (see below), Paper 80:
> I was very impressed with the breadth of coverage and the quality of this
> teaching tool.
> 
> I wonder if in teaching Quantum mechanics and other mathematically orientated
> subjects, the authors have considered serving up "live" Mathematica notebooks
> as well as images, movies etc. I believe that the MIME type of
> application/x-mathematica is being formalised. This enables readers to
> participate in the maths actively, but of course does presuppose that they
> have Mathematica installed on their system.  Such "hyperactive"
> maths is in use in our course, as well as "hyperactive" programs in the
> computing
> course. I believe that the inclusion of semantic content as well as "passive"
> bitmaps is essential in such courses.
> 
> Try http://www.ch.ic.ac.uk/hyperactive/diff.ma for an example. Configure
> your WWW "helper" types to correspond to the above MIME type.
> 
> Dr Henry Rzepa, Department of Chemistry, Imperial College, LONDON SW7 2AY;
> [email-masked] via Eudora 2.1.1, Tel  (44) 171 594 5774 or 594 5809.
> Fax: (44) 171 594 5804. World-Wide-Web URL:
> http://www.ch.ic.ac.uk/rzepa.html        
> 

In my opinion, the use of symbolic computational tools like Mathematica is very
promising, for teaching and as well for research, in all sciences. 

However, I would like to have
available  support on WWW for other very powerful symbolic algebra packages like Maple.
(see http://129.97.140.58/) This package is of growing importance, especially in Europe.
It also has worksheets. A very positive aspect of Maple is that it has an active 
Maple Users Group.

A MIME type for Maple would definitely be helpful.

Best regards

Herbert
--------------------------------------------------------------
Dr. Herbert H. H. Homeier
Institut fuer Physikalische und Theoretische Chemie
Universitaet Regensburg
D-93040 Regensburg, Germany
Phone: +49-941-943 4720                FAX  : +49-941-943 2305
email: [email-masked]
--------------------------------------------------------------

What is ECCC? See http://rchs1.uni-regensburg.de/ECCC/ECCC.html

---

From: [email-masked] (Hinsen Konrad)
Date: Thu, 17 Nov 94 17:18:03 -0500

Another package worth mentioning (because it is still relatively
unknown) is MuPAD, developed at the University of Paderborn in
Germany. It is not yet as complete as Mathematica or Maple,
but it does have all the basic features of symbolic algebra
packages. Its syntax resembles Maple's (intentionally), but
is much cleaner in some areas, e.g. matrix computations.
Being based on an object-oriented kernel, it is easier to extend
than some other programs. And not the least of its advantages
is that it is free for academic users. There are versions for
many Unix machines (including Linux) plus a Mac version; others
are in preparation. Look at ftp.uni-paderborn.de for more
information.

And let's not forget to mention GNU-Calc, which is of course
much less powerful than "real" symbolic algebra packages,
but so much more convenient that I still use it more
than anything else.

-------------------------------------------------------------------------------
Konrad Hinsen                     | E-Mail: [email-masked]
Departement de Chimie             | Tel.: +1-514-343-6111 ext. 3953
Universite de Montreal            | Fax:  +1-514-343-7586
C.P. 6128, succ. A                | Deutsch/Esperanto/English/Nederlands/
Montreal (QC) H3C 3J7             | Francais (phase experimentale)
-------------------------------------------------------------------------------